%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-ferari
Version:        0.0.2
Release:        3%{?dist}
Summary:        Optimizer for finite element code

Group:          Applications/Engineering
License:        LGPLv2
URL:            http://www.fenics.org/wiki/FErari
Source0:        http://www.fenics.org/pub/software/ferari/FErari-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  python-setuptools-devel


%description
FErari (Finite Element rearrangement to automatically reduce instructions)
generates optimized code for evaluation of the element tensor (element
stiffness matrix) and functions as an optimizing backend for FFC.


%prep
%setup -q -n FErari-%{version}
sed -i -e '/^#!\//, 1d' FErari/xpermutations.py


%build
python ./setup.py build


%install
rm -rf %{buildroot}
python ./setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/FErari/
%{python_sitelib}/*.egg-info


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 30 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.2-1
- Initial package for Fedora
